unit Mainfrm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, HotImage;

type
  TfrmMain = class(TForm)
    HotImage1: THotImage;
    Timer1: TTimer;
    procedure HotImage1Click(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
   FRgn:HRgn; { Private declarations }
   procedure Draw;
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

uses Simpl, selcntry, HallSel;

{$R *.DFM}

procedure TFrmMain.Draw;

begin
if FRgn<>0 then
 With HotImage1.Canvas do
 begin
  Pen.Mode:=pmNotXor;
  FillRgn(Handle,FRgn,GetStockObject(BLACK_BRUSH));
 end;
end;

procedure TfrmMain.HotImage1Click(Sender: TObject);

begin
 Timer1.Enabled:=false;
 Draw;//remove old drawing
 DeleteObject(FRgn);
 With HotImage1 do
 if SpotIndex>=0 then
 begin
  FRgn:=CreateRgnHandle(HotSpots[SpotIndex]);
  Draw;
  Timer1.Tag:=SpotIndex;
  Timer1.Enabled:=true;
 end
  else FRgn:=0;
end;

procedure TfrmMain.FormDestroy(Sender: TObject);
begin
 DeleteObject(FRgn);
end;

procedure TfrmMain.Timer1Timer(Sender: TObject);
 var cls:TFormClass;
begin
 Timer1.Enabled:=false;
 Draw;
 DeleteObject(FRgn);
 FRgn:=0;
  case Timer1.Tag of
  0:cls:=TfrmSimple;
  1:cls:=Tfrmselcntry;
  2:cls:=TfrmHallSel;
 else exit;
 end;

 With cls.Create(Application)do
 try
  ShowModal;
 finally
  Free;
 end;

end;

end.
